<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-08-30 14:41
// +----------------------------------------------------------------------

use think\facade\Route;

Route::group('sass', function () {
    //获取sass系统【商户】管理账号
    Route::rule('admin', 'v1.siteAdmin/list');
    //获取sass系统【商户】管理保存数据
    Route::rule('adminSave','v1.siteAdmin/save');
    //获取sass系统【商户】管理详情
    Route::rule('adminInfo','v1.siteAdmin/info');
    //获取sass系统【商户】管理删除
    Route::rule('adminDel','v1.siteAdmin/del');

    //获取sass系统【商户】角色组
    Route::rule('role', 'v1.siteRole/list');
    //获取sass系统【商户】保存 | 修改 角色组
    Route::rule('roleSave', 'v1.siteRole/save');
    //获取sass系统【商户】 删除角色组
    Route::rule('roleDel', 'v1.siteRole/del');

    //修改管理员信息
    Route::post('save','v1.role/save');
    //删除管理员信息
    Route::post('del','v1.role/del');

})->middleware([
    \app\system\middleware\AllowOriginMiddleware::class,
    \app\system\middleware\AdminAuthTokenMiddleware::class
    // \app\adminapi\middleware\AdminCkeckRole::class
]);